Bug 803346 - yum shows misleading message when downgrade not available
yum shows misleading message when downgrade not available
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-14 09:50 EDT by Michal Hlavinka
Modified: 2014-01-21 18:21 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-05 05:15:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Hlavinka 2012-03-14 09:50:44 EDT
Description of problem:
When downgrading package that has no downgrade available, it prints that there is only update available despite it is not.


Version-Release number of selected component (if applicable):
yum-3.4.3-18.fc17.noarch

How reproducible:
always

Steps to Reproduce:
# yum downgrade qca-ossl
Loaded plugins: langpacks, presto, refresh-packagekit
Setting up Downgrade Process
Only Upgrade available on package: qca-ossl-2.0.0-0.13.beta3.fc17.x86_64
Nothing to do

but there is no upgrade available:

# yum upgrade qca-ossl
Loaded plugins: langpacks, presto, refresh-packagekit
Setting up Upgrade Process
No Packages marked for Update

because I have that version already installed:

# rpm -q qca-ossl
qca-ossl-2.0.0-0.13.beta3.fc17.x86_64
Comment 1 Zdeněk Pavlas 2012-03-15 04:55:52 EDT
Thanks for reporting, seems trivial to fix.
Comment 2 Zdeněk Pavlas 2012-04-05 05:15:23 EDT
commit d1e3f677668e3e7b26a4eec2b0b6c6240b9196cd

Note You need to log in before you can comment on or make changes to this bug.